Package org.opensaml.saml.saml1.core

# Interface Response

All Superinterfaces:
  `ResponseAbstractType`, `SAMLObject`, `SignableSAMLObject`, `SignableXMLObject`, `XMLObject`

All Known Implementing Classes:
  `ResponseImpl`

public interface Response extends ResponseAbstractType
This interface defines how the object representing a SAML1 `Response` element behaves.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element name, no namespace.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

### Fields inherited from interface org.opensaml.saml.saml1.core.ResponseAbstractType

`ID_ATTRIB_NAME, INRESPONSETO_ATTRIB_NAME, ISSUEINSTANT_ATTRIB_NAME, ISSUEINSTANT_ATTRIB_QNAME, MAJORVERSION_ATTRIB_NAME, MINORVERSION_ATTRIB_NAME, RECIPIENT_ATTRIB_NAME`

## Method Summary

Modifier and Type
Method
Description
`List<Assertion>`
`getAssertions()`
Return the objects representing the `Assertion` (element).
`Status`
`getStatus()`
Return the object representing the `Status` (element).
`void`
`setStatus(Status status)`
Set the object representing the `Status` (element).

### Methods inherited from interface org.opensaml.saml.saml1.core.ResponseAbstractType

`getID, getInResponseTo, getIssueInstant, getRecipient, getVersion, setID, setInResponseTo, setIssueInstant, setRecipient, setVersion`

### Methods inherited from interface org.opensaml.saml.common.SignableSAMLObject

`getSignatureReferenceID`

### Methods inherited from interface org.opensaml.xmlsec.signature.SignableXMLObject

`getSignature, isSigned, setSignature`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element name, no namespace.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

## Method Details

### getStatus

@Nullable Status getStatus()
Return the object representing the `Status` (element).

Returns:
  the Status

### setStatus

void setStatus(@Nullable Status status)
Set the object representing the `Status` (element).

Parameters:
  `status` - what to set

### getAssertions

@Nonnull @Live List<Assertion> getAssertions()
Return the objects representing the `Assertion` (element).

Returns:
  the Assertion objects